/*
 * Heure.h
 *
 *  Created on: 14 mai 2019
 *      Author: e_rcluze
 */

#ifndef HEURE_H_
#define HEURE_H_

#include <stdint.h>

typedef struct {

	uint8_t second;
	uint8_t minute;
	uint8_t heure;
	uint8_t jour;
	uint8_t joursemaine;
	uint8_t mois;
	uint16_t annee;

} Date;

typedef struct {
	uint8_t minute;
	uint8_t heure;
} Heure;

/**
 * fonction qui renvoie
 * 	-1 si h1 est inf�rieur que H2
 * 	0 si h1 et h2 egale
 * 	1 si h1 est sup�rieur a h2
 */
int8_t CompareHeure(Heure h1, Heure h2);

int16_t DiffHeure(Heure h1, Heure h2);

int32_t DiffDate(Date h1, Date h2);

#endif /* HEURE_H_ */
